<?php

namespace WPEP\Admin\Coordinator;

use WPEP\Controller as WPEP_Controller;
use WPEP\Container\LicenseAndUpdates as WPEP_Container_LicenseAndUpdates;

class License extends WPEP_Container_LicenseAndUpdates {

  public function get_plugin_version() {
    return WPEP_VERSION;
  }

  public function get_product_name() {
    return WPEP_PLUGIN_NAME;
  }

  public function get_product_id() {
    return WPEP_Controller::SHOP_PRODUCT_ID;
  }

  public function get_options_prefix() {
    return 'wpep_license_';
  }

  public function setup() {
    if( !is_main_site() )
      return;

    $this->setup_license_and_updates( WPEP_BASE_FILE_PATH );

    if ( class_exists('\WPEP_Plugin_Updater' ) )
      do_action( 'wpep_plugin_update_registered' );
  }

}