<?php

namespace WPEP\Admin\Coordinator;

class Statistics {

  /**
   * @var array
   */
  protected $_statisticsPages;

  public function _register_menu() {
    wpep_admin_register_menu(
      sprintf( __( "%s Statistics", 'wpep' ), WPEP_PLUGIN_NAME ),
      __( "Statistics", 'wpep'),
      WPEP_CAP_MANAGE_STATISTICS,
      "wpep-statistics",
      [ $this, "display" ]
    );
  }

  public function display() {
    echo '<div class="wrap" data-wpep-page="statistics">';

    echo '<h2 class="wpep-title-page">' . sprintf( __( "%s Statistics", 'wpep' ), WPEP_PLUGIN_NAME ) . '</h2>';

    echo '<div data-ec-component="interval-navigation-panel" data-ec-component-action="wpep/system/statistics/configuration-report"></div>';

    echo '</div>';
  }

}
