<?php

namespace WPEP\Container\LicenseAndUpdates;

class Updater {

  /**
   * @var \WPEP\Container\LicenseAndUpdates
   */
  protected $_controller;

  public $base_file_path;

  public function __construct( $controller_instance, $plugin_base_file_path ) {
    $this->_controller = $controller_instance;

    $this->base_file_path = $plugin_base_file_path;

    if ( !$this->_controller->is_valid_license() )
      return;

    if ( !class_exists('\WPEP_Plugin_Updater') )
      @include_once WPEP_BASE_PATH . '/lib/_internal/Plugin_Updater.php';

    if ( !class_exists('\WPEP_Plugin_Updater' ) )
      return;

    $plugin_update = new \WPEP_Plugin_Updater(
      $this->_controller->api->get_request_url(),
      $this->base_file_path,
      $this->_controller->api->get_request_params( 'get_version' )
    );
  }

}