<?php

namespace WPEP\ContentType\Course;

class Block {

  /**
   * @var Block\General
   */
  public $general;
  /**
   * @var Block\Misc
   */
  public $misc;

  public function __construct() {
    add_action( 'widgets_init', [ $this, 'register_widget' ], 10 );

    $this->general = new Block\General();
    $this->misc    = new Block\Misc();
  }

  public function register_widget() {
    register_widget('\WPEP\ContentType\Course\Block\Widget');
  }

}