<?php

namespace WPEP\ContentType\Course\Container;

interface PostDependency {

  public function attach_data_asset_map_for_course( $response );
  public function attach_data_export_array_for_course( $response );
  public function attach_data_export_array_for_course_section( $response, $course_id, $section_id = 0, $include_user_activity = true );

  public function data_import_single_post_array( $post_information, $id_mapping = [] );

  public function on_course_progress_reset( $course_id, $user_id );
  public function attach_course_builder_tabs( $tab_list, $builder_integration );
  public function on_course_save( $course_post_id, $entity_id_map );

}
