<?php

namespace WPEP\Coordinator;

class MigrationLibrary {

  /**
   * @param \WPEP\Container\Migration[]
   */
  protected $_migration_instances = [];

  /**
   * @return \WPEP\Container\Migration[]
   */
  public function get_migration_instances() {
    return $this->_migration_instances;
  }

  /**
   * @param \WPEP\Container\Migration $content_library_integration
   */
  public function register( $content_library_integration ) {
    $this->_migration_instances[ $content_library_integration->namespace ] = $content_library_integration;
  }

}