<?php

wpep_template_load( 'assessment/ajax-embed.php', [
    'assessment_id'        => $assessment_id,
    'allow_simple_recap'   => false,
    'assessment_request_args' => [
      'return_button_url' => [
        'welcome' => '',
        'form'    => ( $next_lesson_id !== null ? wpep_course_lesson_permalink( $next_lesson_id, $course_id ) : '' ),
        'success' => ( $next_lesson_id !== null ? wpep_course_lesson_permalink( $next_lesson_id, $course_id ) : '' ),
        'failed'  => ( $previous_lesson_id !== null ? wpep_course_lesson_permalink( $previous_lesson_id, $course_id ) : '' ),
      ],
      'return_button_text' => [
        'welcome' => '',
        'form'    => ( $next_lesson_id !== null ? wpep_get_setting_translated( 'course-focus-next-lesson' ) : '' ),
        'success' => ( $next_lesson_id !== null ? wpep_get_setting_translated( 'course-focus-next-lesson' ) : '' ),
        'failed'  => ( $previous_lesson_id !== null ? wpep_get_setting_translated( 'course-focus-previous-lesson' ) : '' ),
      ]
    ]
 ] ); ?>
