<div class="wpep-email-notification-discussions-container">
  <?php foreach( $discussions_map as $discussion_map ) : ?>
    <table style="width: 100%;overflow:hidden;border: 1px solid #f3f3f3;-webkit-border-radius: 20px;-moz-border-radius: 20px;border-radius: 20px;" class="wpep-email-notification-discussion-container">
      <thead>
        <tr>
          <?php if( count( $discussion_map->comments ) >= 2 ) : ?>
            <th style="text-align: left; border-bottom: 1px solid #f3f3f3;">
              <h2 style="margin: 0;padding: 10px;display: block;color: #2f6fac;font-size: 18px;text-align: left;font-weight: 600;line-height: 1.3em;text-transform: none;text-decoration: none;"><?php echo wpep_controller()->discussion->get( $discussion_map->namespace )->get_discussion_name( $discussion_map ); ?></h2>
            </th>
            <th style="padding: 15px 10px;text-align: right; border-bottom: 1px solid #f3f3f3;">
              <a href="<?php echo wpep_controller()->discussion->get( $discussion_map->namespace )->get_discussion_link( $discussion_map, $user_id ); ?>"
                 style="margin: 0;padding: 8px 14px;display: inline-block;color: #ffffff;font-size: 14px;text-align: center;font-weight: 600;line-height: 1.3em;background: #2f6fac;text-transform: none;text-decoration: none;"
              ><?php echo wpep_get_setting_translated( 'comments-email-notification-button-view' ); ?></a>
            </th>
          <?php else : ?>
            <th colspan="2"><h2 style="margin: 10px;padding: 0;display: block;color: #2f6fac;font-size: 18px;text-align: left;font-weight: 600;line-height: 1.3em;text-transform: none;text-decoration: none;"><?php echo wpep_controller()->discussion->get( $discussion_map->namespace )->get_discussion_name( $discussion_map ); ?></h2></th>
          <?php endif; ?>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td colspan="2">
            <?php foreach( $discussion_map->comments as $discussion_comment ) : ?>
                <table style="width: 100%;margin: 10px 0 0 0;padding: 0 10px 8px 10px;border-bottom: 1px solid #f3f3f3;" class="wpep-email-notification-discussion-comment-container">
                  <thead style="text-align: left;">
                    <tr style="padding-bottom: 4px;display: block;">
                      <th style="margin: 0;padding: 0;width: 50px;overflow: hidden;"
                      ><img src="<?php echo wpep_user_profile_picture_url( $discussion_comment->user_id, 60 )?>" style="margin: 0;padding: 0;width: 40px;height: 40px;overflow: hidden;background: #bcbcbc;-webkit-border-radius: 20px;-moz-border-radius: 20px;border-radius: 20px;"/></th>
                      <th style="margin: 0;padding: 0;text-align: left"
                      ><span style="display: block color: #242424;font-size: 14px;font-weight: 600;line-height: 1.3em;text-transform: none;text-decoration: none;"><?php echo wpep_content_user_profile_format_name( $discussion_comment->user_id );
                      ?></span><span style="margin: 0;padding: 0; display: block;color: #8f8f8f;font-size: 12px;text-align: left;font-weight: 400;line-height: 1.3em;text-transform: none;text-decoration: none;"
                        ><?php echo wpep_format_date_with_time( $discussion_comment->created_at ); ?></span></th>
                    </tr>
                  </thead>
                  <tbody style="margin: 0;text-align: left;">
                    <tr class="wpep-email-notification-discussion-comment-content-container">
                      <td colspan="2" style="margin: 0;padding: 10px 0;color: #242424;font-size: 15px;text-align: left;font-weight: 400;line-height: 1.3em;text-transform: none;text-decoration: none;overflow: hidden;"
                      ><?php echo wpep_discussion_comment_content_email( $discussion_comment ); ?></td>
                    </tr>
                    <tr>
                    </tr>
                    <?php if( isset( $discussion_comment->replies ) && !empty( $discussion_comment->replies ) ) : ?>
                      <tr>
                        <td colspan="2" class="wpep-email-notification-discussion-comment-replies-container">
                          <?php foreach( $discussion_comment->replies as $discussion_comment_reply ) : ?>
                            <table class="wpep-email-notification-discussion-comment-reply-container" style="padding: 0;margin: 20px 0 0 0;width: 100%;">
                              <tbody>
                                <tr class="wpep-email-notification-discussion-comment-reply-content-container">
                                  <td style="margin: 0;padding: 0;width: 50px;overflow: hidden;"
                                  ><img src="<?php echo wpep_user_profile_picture_url( $discussion_comment_reply->user_id, 40 ); ?>" style="margin: 0;padding: 0;width: 40px;height: 40px;overflow: hidden;background: #bcbcbc;-webkit-border-radius: 20px;-moz-border-radius: 20px;border-radius: 20px;"/></td>
                                  <td style="margin: 0;padding: 10px;color: #242424;font-size: 15px;text-align: left;font-weight: 400;line-height: 1.3em;text-transform: none;text-decoration: none;overflow: hidden;background: #f3f3f3; -webkit-border-radius: 20px;-moz-border-radius: 20px;border-radius: 20px;"
                                  ><span style="margin: 0 0 10px 0;padding: 0;color: #242424;font-size: 14px;text-align: left;font-weight: 600;line-height: 1.3em;text-transform: none;text-decoration: none;"><?php echo wpep_content_user_profile_format_name( $discussion_comment_reply->user_id );
                                    ?></span><div><?php echo wpep_discussion_comment_content_email( $discussion_comment_reply ); ?></div>
                                  </td>
                                </tr>
                                <tr>
                                  <td></td>
                                  <td colspan="2" style="margin: 0;padding: 3px 0 0 10px;color: #8f8f8f;font-size: 12px;text-align: left;font-weight: 400;line-height: 1.3em;text-transform: none;text-decoration: none;"><a href="<?php echo wpep_controller()->discussion->get( $discussion_map->namespace )->get_discussion_comment_highlight_link( $discussion_map, $discussion_comment_reply->id, $user_id ); ?>"><?php echo wpep_format_date_with_time( $discussion_comment_reply->created_at ); ?></a></td>
                                </tr>
                              </tbody>
                            </table>
                          <?php endforeach; ?>
                        </td>
                      </tr>
                    <?php endif; ?>
                  </tbody>
                </table>
            <?php endforeach; ?>
          </td>
        </tr>
      </tbody>
      <tfoot>
        <tr>
          <td colspan="2" style="text-align: center;"><a href="<?php echo wpep_controller()->discussion->get( $discussion_map->namespace )->get_discussion_link( $discussion_map, $user_id ); ?>"
                 style="margin: 20px 0;padding: 10px 18px;display: inline-block;color: #ffffff;font-size: 15px;text-align: center;font-weight: 600;line-height: 1.3em;background: #2f6fac;text-transform: none;text-decoration: none;"
            ><?php echo wpep_get_setting_translated( 'comments-email-notification-button-view' ); ?></a></td>
        </tr>
      </tfoot>
    </table>
  <?php endforeach; ?>
</div>