<?php $course_tracks = wpep_content_type_course_instance()->user->data->get_value(
    WPEP_USER_COURSE_REPEAT_TRACKER, $course_id, false, false, get_current_user_id(), false
); ?>

<div class="wpep-clearfix"></div>
<div id="wpep-progress-repeat-container">
  <?php echo wpep_frontend_button( '#', [
      'text'            => wpep_get_setting( 'progress-repeat-button' ),
      'container_class' => ( wpep_user_course_is_completed( $course_id, get_current_user_id() ) ? 'wpep-visible' : 'wpep-hidden' ),
      'position'        => 'right',
      'simple_sync'     => [
        'action'    => 'wpep/content-type/courses/user-progress-repeat',
        'course_id' => $course_id
      ]
  ] );?>

  <div class="wpep-clearfix"></div>

  <?php if( !empty( $course_tracks ) && is_array( $course_tracks )) : ?>
    <div class="wpep-element-list-container">
      <p><?php echo wpep_get_setting( 'progress-repeat-headline' ); ?></p>
      <ul class="wpep-element-list">
        <?php foreach( $course_tracks as $course_track ) : ?>
          <li><?php echo wpep_format_date( $course_track ); ?></li>
        <?php endforeach; ?>
      </ul>
    </div>
  <?php endif; ?>
</div>