<?php $supervisor_ids = get_user_meta( $user_information->ID, WPEP_USER_META_SUPERVISOR_USER_ID, false ); ?>

<?php if( $can_edit && wpep_get_setting_flag( 'user-profile-student-supervisor-allow-change' ) ) : ?>
  <?php $supervisor_user_list = wpep_get_users_by_role( WPEP_USER_ROLE_STUDENT_SUPERVISOR ); ?>
  <?php $allow_multiple_supervisors = wpep_get_setting_flag( 'enable-student-supervisor-multiple' ); ?>

  <?php if( !empty( $supervisor_user_list ) ) : ?>
    <p class="wpep-student-supervisor">
      <?php if( $allow_multiple_supervisors ) : ?>
        <select class="wpep-student-supervisor"
                data-ec-library="select2"
                name="wpep_student_supervisor[]"
                multiple="multiple"
                placeholder="<?php echo wpep_get_setting_translated( 'user-profile-student-supervisor-placeholder' ); ?>">
          <?php foreach( $supervisor_user_list as $supervisor_user ) : ?>
            <option value="<?php echo $supervisor_user->ID; ?>"
              <?php wpep_utility_selected( $supervisor_ids, $supervisor_user->ID ); ?>
            ><?php echo wpep_content_user_profile_format_name( $supervisor_user ); ?></option>
          <?php endforeach; ?>
        </select>
      <?php else : ?>
        <select class="wpep-student-supervisor"
                name="wpep_student_supervisor">
          <option value="0"><?php echo wpep_get_setting_translated( 'user-profile-student-supervisor-placeholder' ); ?></option>
          <?php foreach( $supervisor_user_list as $supervisor_user ) : ?>
            <option value="<?php echo $supervisor_user->ID; ?>"
              <?php wpep_utility_selected( $supervisor_ids, $supervisor_user->ID ); ?>
            ><?php echo wpep_content_user_profile_format_name( $supervisor_user ); ?></option>
          <?php endforeach; ?>
        </select>
      <?php endif; ?>
    </p>
  <?php endif; ?>
<?php else : ?>
  <?php if( !empty( $supervisor_ids ) ) : ?>
    <?php foreach( $supervisor_ids as $supervisor_id ) : ?>
    <p class="wpep-student-supervisor"><span><?php echo wpep_content_user_profile_format_name( $supervisor_id ); ?></span></p>
    <?php endforeach; ?>
  <?php endif; ?>
<?php endif; ?>
