<?php $category_list_count = ( wpep_content_primary_has_all_categories_navigation() ? $category_list_count + 1 : $category_list_count ); ?>
<div class="course-grid-category-list course-grid-category-count-<?php echo apply_filters( 'wpep_template_category_list_items_per_row', $category_list_count, $category_list_count ); ?>">
  <?php if( count( $category_list ) >= 2 && wpep_content_primary_has_all_categories_navigation() ) : ?>
    <a class="course-grid-category-item" data-display-category-id="0">
      <div class="course-grid-category-item-wrap">
        <?php if( wpep_get_setting( 'index-page-filter-all-categories-image' ) !== '' ) : ?>
        <img src="<?php echo wpep_get_setting( 'index-page-filter-all-categories-image' ); ?>"/>
        <?php endif; ?>
        <p><?php echo wpep_get_setting_translated( 'index-page-filter-all-categories-title' ); ?></p>
      </div>
    </a>
  <?php endif; ?>

  <?php foreach( $category_list as $category_item ) : ?>
    <?php
      $icon = get_term_meta($category_item->term_id, 'icon', true);
      $link = get_term_meta($category_item->term_id, 'url', true);
    ?>
    <a class="course-grid-category-item"
       data-display-category-id="<?php echo $category_item->term_id; ?>"
       <?php echo ( $link !== '' ? 'href="' . $link . '" target="_blank"' : 'href="' . get_category_link( $category_item ) . '" '); ?>
      >
      <div class="course-grid-category-item-wrap">
        <?php if ( is_array( $icon ) || $icon !== ''  ) : ?>
          <img src="<?php echo ( is_array( $icon ) ? ( isset( $icon['url'] ) ? $icon['url'] : '' ) : $icon ); ?>"/>
        <?php endif; ?>
        <p><?php echo $category_item->name; ?></p>
      </div>
    </a>
  <?php endforeach; ?>
  <div class="course-grid-sub-category-list-container">
    <?php foreach( $category_list as $category_item ) : ?>
      <?php do_action( 'wpep_primary_content_sub_category_list', $category_item );?>
    <?php endforeach; ?>
  </div>

  <div class="wpep-clearfix"></div>
</div>