<?php

namespace WPEP\Coordinator\Discussion;

use WPEP\Entity\Discussion as Entity_Discussion;

class Events {

  public function setup() {
    add_action( 'delete_post', [ $this, "_on_delete_post" ] );
    add_action( 'delete_user', [ $this, "_on_delete_user" ] );
  }

  public function _on_delete_post( $post_id ) {
    Entity_Discussion::instance()->delete_discussion( [ 'post_id' => $post_id ] );
  }

  public function _on_delete_user( $user_id ) {
    Entity_Discussion::instance()->delete_discussion_comment( [ 'user_id' => $user_id ] );
    Entity_Discussion::instance()->delete_discussion_data( [ 'user_id' => $user_id ] );
  }

}