eLearnCommerce.Component["quill-editor"] = {
  container: {},
  configuration: {
    media_upload: !1,
    has_mentions: 1,
    request_data: {},
    content: ""
  },
  _editorInstance: null,
  _mentionXHR: !1,
  _mentionXHRSearchTerm: !1,
  Init: function(e) {
    if (this.container = e, eLearnCommerce.setLoadingContent(e), void 0 !== e.attr("data-ec-component-args")) this.setConfiguration(JSON.parse(e.attr("data-ec-component-args"))), e.removeAttr("data-ec-component-args");
    else {
      let t = this;
      jQuery.post(eLearnCommerce.settings.ajax_url, {
        action: e.attr("data-ec-component-action")
      }, (function(n) {
        "ok" === n.status ? (delete n.status, t.setConfiguration(n)) : eLearnCommerce.setErrorXHRContent(e, n)
      }), "json")
    }
  },
  setConfiguration: function(e) {
    this.configuration = e;
    let t = this;
    void 0 !== window.Quill ? this._init() : eLearnCommerce.LoadAssets(eLearnCommerce.settings.libraries.quill, (function() {
      t._init()
    }))
  },
  _init: function() {
    let e = this;
    if (void 0 === window.quillMention && void 0 !== e.configuration.has_mentions && e.configuration.has_mentions) return void eLearnCommerce.LoadAssets(eLearnCommerce.settings.libraries.quill_mention, (function() {
      e._init()
    }));
    if (void 0 !== e.configuration.media_upload && e.configuration.media_upload && jQuery.isEmptyObject(eLearnCommerce._requestStorage.allowed_mile_types)) return void jQuery.ajax({
      type: "POST",
      url: eLearnCommerce.settings.ajax_url,
      data: {
        action: "wpep/misc/allowed-mime-types"
      },
      dataType: "json",
      success: function(t) {
        eLearnCommerce._requestStorage.allowed_mile_types = t.map, e._init()
      },
      error: function() {
        e._init()
      }
    });
    let t = ec_get_random_string(),
      n = [];
    jQuery.isEmptyObject(eLearnCommerce._requestStorage.allowed_mile_types) || jQuery.each(eLearnCommerce._requestStorage.allowed_mile_types, (function(e, t) {
      let o = e.split("|");
      jQuery.each(o, (function(e, t) {
        n[n.length] = t
      }))
    })), eLearnCommerce.loadTemplate(this.container, "component/quill-editor/template/default.html", {
      id: t,
      file_extensions: n,
      content: this.configuration.content
    }, (function() {
      let n = {
        toolbar: [
          ["bold", "italic", "underline", "strike"],
          [{
            script: "super"
          }, {
            script: "sub"
          }],
          [{
            list: "ordered"
          }, {
            list: "bullet"
          }]
        ]
      };
      void 0 !== e.configuration.has_mentions && e.configuration.has_mentions && (n.mention = {
        renderItem: e => `<img src="${e.image}"/><span>${e.name}</span>`,
        onSelect: function(t, n) {
          t.value = t.name, n(t);
          let o = e.container.find("span.mention");
          o.attr("class", "wpep-discussion-mention-item").attr("contenteditable", "false").attr("data-wpep-mention-user-id", o.attr("data-id")).removeAttr("data-id"), o.html('<img class="wpep-discussion-mention-item-image" src="' + o.attr("data-image") + '"/><span class="wpep-discussion-mention-item-name">' + o.attr("data-name") + "</span>"), o.removeAttr("data-name").removeAttr("data-denotation-char").removeAttr("data-image")
        },
        dataAttributes: ["id", "name", "image"],
        allowedChars: /^[A-Za-z\sÅÄÖåäö]*$/,
        showDenotationChar: !1,
        mentionDenotationChars: ["@"],
        source: async function(t, n, o) {
          if (e._mentionXHRSearchTerm === t) return;
          e._mentionXHRSearchTerm = t, !1 !== e._mentionXHR && e._mentionXHR.abort();
          let a = {
            action: "wpep/discussion/mention-user-search",
            search_term: t
          };
          "object" == typeof e.configuration.request_data && (a = jQuery.extend(a, e.configuration.request_data)), e._mentionXHR = jQuery.ajax({
            type: "POST",
            url: eLearnCommerce.settings.ajax_url,
            data: a,
            dataType: "json",
            success: function(o) {
              e._mentionXHR = !1, e._mentionXHRSearchTerm = !1, n(o.results, t)
            },
            error: function() {
              e._mentionXHR = !1, e._mentionXHRSearchTerm = !1
            }
          })
        }
      }), void 0 !== e.configuration.media_upload && e.configuration.media_upload ? n.toolbar[n.toolbar.length] = ["link", "image", "ec-file-upload"] : n.toolbar[n.toolbar.length] = ["link"], n.toolbar[n.toolbar.length] = ["clean"], e._editorInstance = new window.Quill("#ec-quill-" + t, {
        placeholder: "...",
        modules: n,
        theme: "snow"
      }), void 0 !== e.configuration.media_upload && e.configuration.media_upload && (e.container.find(".ec-quill-file-upload-input").off("change").on("change", (function(t) {
        let n = this.files[0],
          o = new FileReader;
        o.onload = function(t) {
          let a = {
            action: "wpep/user/upload-file",
            upload_name: n.name,
            upload_type: n.type,
            upload_content: btoa( o.result )
          };
          "object" == typeof e.configuration.request_data && (a = jQuery.extend(a, e.configuration.request_data)), jQuery.ajax({
            type: "POST",
            url: eLearnCommerce.settings.ajax_url,
            data: a,
            dataType: "json",
            success: function(t) {
              "ok" !== t.status && alert(t.error);
              let o = {
                ops: [{
                  insert: n.name,
                  attributes: {
                    link: t.link
                  }
                }, {
                  insert: "\n"
                }]
              };
              e._editorInstance.updateContents(o)
            },
            error: function() {
              alert(eLearnCommerce.lang.xhr_failed_response)
            }
          })
        }, o.readAsBinaryString(n)
      })), e.container.find(".ql-ec-file-upload").bind("click", (function(t) {
        e.container.find(".ec-quill-file-upload-input").trigger("click")
      })))
    }))
  }
};