<?php

$user_completed_course_flags = wpep_content_type_course_instance()->user->data->get(
  WPEP_USER_COURSE_COMPLETED, false, false, false, false, false, 1
);

foreach( $user_completed_course_flags as $user_completed_course_flag ) {
  $lesson_completed = wpep_content_type_course_instance()->user->lesson->get_completed_timestamp(
    $user_completed_course_flag->course_id,
    $user_completed_course_flag->user_id,
    'DESC'
  );

  if( $lesson_completed !== 0 )
    wpep_content_type_course_instance()->user->data->set(
      WPEP_USER_COURSE_COMPLETED_AT, $lesson_completed, false, false, false, false
    );

}

echo '<p>' . sprintf( __( "%s Course completed_at timestamps set", "wpep" ), count( $user_completed_course_flags ) ) . '</p>';
