<?php

$update_settings = [];

foreach( [ WPEP_POST_TYPE_COURSE, WPEP_POST_TYPE_E_BOOK, WPEP_POST_TYPE_VIDEO, WPEP_POST_TYPE_OFFER] as $post_type ) {
  $update_settings[ 'content-type-' . $post_type . '-enabled' ] = 1;
}

wpep_settings_instance()->update_settings( $update_settings, false );

echo '<p>' . __( "Content Types Enabled", "wpep" ) . '</p>';
