<?php if( apply_filters('wpep_course_single_content_include_header', true ) ) : ?>
  <h1 class="title-default-course-single"><?php echo $title; ?></h1>
<?php endif; ?>

  <div class="wpep-content-from-editor content">
    <?php if( isset( $description ) && $description != '' ) : ?>
      <?php echo wpep_format_content( $description ); ?>
    <?php endif; ?>
  </div>

  <div class="wpep-scorm-operations-container">
    <?php if( $course_is_completed && wpep_get_setting('course-scorm-notification-completed' ) != '' ) : ?>
      <div class="wpep-notification wpep-notification-success"><?php echo wpep_get_setting( 'course-scorm-notification-completed' ); ?></div>
    <?php endif; ?>

    <a class="wpep-button wpep-button-primary"
       data-wpep-scorm-course-open="<?php echo $course_id; ?>"
    ><?php echo wpep_get_setting('course-scorm-button-open' ); ?></a>
  </div>

<?php
if( $course_is_completed && isset( $final_assessment_id ) )
  do_action( 'wpep_user_assessment_box', $final_assessment_id, true );
?>