<?php
  $navigation_xhr_args = apply_filters( 'wpep_primary_content_navigation_xhr_args', [] );

  wpep_template_header();
?>

<?php do_action( 'wpep_before_main_content' ); ?>

<div class="course-grid-container"
     data-wpep-pagination="<?php echo apply_filters( 'wpep_primary_content_entries_per_page', wpep_get_setting_flag( 'index-page-enable-pagination' ) ? wpep_get_setting( 'index-page-entries-per-page' ) : 0 ); ?>"
     <?php if( isset( $navigation_xhr_args['action'] ) ) : ?>
       data-wpep-navigation-xhr-action="<?php echo $navigation_xhr_args['action'];?>"
       <?php if( isset( $navigation_xhr_args['args'] ) ) : ?>
       data-wpep-navigation-xhr-args="<?php echo is_array( $navigation_xhr_args['args'] ) ? esc_attr( json_encode( $navigation_xhr_args['args'] ) ) : $navigation_xhr_args['args'];?>"
       <?php endif; ?>
     <?php else : ?>
       data-wpep-current-url="<?php echo wpep_get_current_url_index_page(); ?>"
     <?php endif; ?>
     data-wpep-current-url="<?php echo wpep_get_current_url_index_page(); ?>"
     data-wpep-layout="top-navigation">
  <?php do_action( 'wpep_primary_content_category_list' ); ?>

  <?php do_action( 'wpep_primary_content_grid_list' ); ?>
</div>

<?php do_action( 'wpep_after_main_content' ); ?>

<?php wpep_template_footer(); ?>
