<?php if( isset( $category_list ) && !empty( $category_list ) ) : ?>
  <?php foreach( $category_list as $category_item ) : ?>
    <?php if( !isset( $category_item->children ) || empty( $category_item->children ) ) continue;?>
    <div class="wpep-filter-section wpep-filter-section-category">
      <h2 class="wpep-filter-title"><?php echo $category_item->name;?></h2>

      <ul>
        <?php foreach( $category_item->children as $category_item_child ) : ?>
          <li>
            <input id="wpep-search-category-<?php echo $category_item_child->term_id; ?>" type="checkbox" class="wpep_search_category" name="wpep_search_category[]" value="<?php echo $category_item_child->term_id; ?>"/>
            <label for="wpep-search-category-<?php echo $category_item_child->term_id; ?>"><?php echo $category_item_child->name; ?></label>
          </li>
        <?php endforeach; ?>
      </ul>
    </div>
  <?php endforeach; ?>
<?php endif; ?>
