<div class="<?php echo apply_filters( 'wpep_grid_item_class', ( isset( $container_class ) ? $container_class : 'video-grid-item' ) , $item->ID );?>">
  <div class="container-play-circle"></div>

  <div class="center-section">
    <h2><?php echo get_the_title( $item ); ?></h2>

    <p><?php echo wpep_format_content( $item->post_excerpt ); ?></p>
  </div>

  <?php
    $attributes = apply_filters( 'wpep_grid_item_button_attributes', [
      'href'               => $link,
      'style'              => wpep_implode_associative_array( apply_filters( 'wpep_grid_item_button_style_args', [], $item->ID ), ":", ";" ),
      'class'              => 'link wpep-button wpep-button-primary',
      'data-wpep-video-id' => $item->ID
    ], $item->ID );
  ?>

  <a<?php foreach( $attributes as $attribute_key => $attribute_value ) echo ' ' . $attribute_key . '="' . esc_attr( $attribute_value ) . '"'; ?>>
    <?php echo apply_filters( 'wpep_primary_content_item_link_title', wpep_get_setting_translated( 'video-watch-now' ), $item->ID ); ?>
  </a>

  <div class="wpep-clearfix"></div>
</div>
